EasyEngine 3.0 Python errors


#1

I did a fresh install of EE3.0 on latest version of Debian Wheezy (‘apt-get update && apt-get upgrade && apt-get dist-upgrade’). I started from a brand new Debian image. The VPS has 4 CPU cores and 1GB of RAM.

First ‘wget -q http://rt.cx/ee && sudo bash ee’

Then ‘ee stack install --web’, this results in the Python error below. What’s wrong?

Downloading WP-CLI [Done] Reload : postfix [OK] Reload : nginx [OK] Traceback (most recent call last): File “/usr/local/bin/ee”, line 9, in load_entry_point(‘ee==3.0’, ‘console_scripts’, ‘ee’)() File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/main.py”, line 84, in main app.run() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/foundation.py”, line 694, in run self.controller._dispatch() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/controller.py”, line 455, in _dispatch return func() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/controller.py”, line 461, in _dispatch return func() File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/plugins/stack.py”, line 1262, in install self.post_pref(apt_packages, packages) File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/plugins/stack.py”, line 391, in post_pref config.read(’/etc/php5/fpm/pool.d/www.conf’) File “/usr/lib/python3.2/configparser.py”, line 689, in read self._read(fp, filename) File “/usr/lib/python3.2/configparser.py”, line 994, in _read for lineno, line in enumerate(fp, start=1): File “/usr/lib/python3.2/encodings/ascii.py”, line 26, in decode return codecs.ascii_decode(input, self.errors)[0] UnicodeDecodeError: ‘ascii’ codec can’t decode byte 0xc2 in position 688: ordinal not in range(128)

‘ee info’ also gives Python errors:

root@vm1855:~# ee info

NGINX (1.6.2):

user www-data worker_processes auto worker_connections 4096 keepalive_timeout 30 fastcgi_read_timeout 300 client_max_body_size 100m allow 127.0.0.1 Traceback (most recent call last): File “/usr/local/bin/ee”, line 9, in load_entry_point(‘ee==3.0’, ‘console_scripts’, ‘ee’)() File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/main.py”, line 84, in main app.run() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/foundation.py”, line 694, in run self.controller._dispatch() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/controller.py”, line 455, in _dispatch return func() File “/usr/local/lib/python3.2/dist-packages/cement-2.4.0-py3.2.egg/cement/core/controller.py”, line 461, in _dispatch return func() File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/plugins/info.py”, line 186, in default self.info_php() File “/usr/local/lib/python3.2/dist-packages/ee-3.0-py3.2.egg/ee/cli/plugins/info.py”, line 80, in info_php config.read(’/etc/php5/fpm/pool.d/www.conf’) File “/usr/lib/python3.2/configparser.py”, line 689, in read self._read(fp, filename) File “/usr/lib/python3.2/configparser.py”, line 994, in _read for lineno, line in enumerate(fp, start=1): File “/usr/lib/python3.2/encodings/ascii.py”, line 26, in decode return codecs.ascii_decode(input, self.errors)[0] UnicodeDecodeError: ‘ascii’ codec can’t decode byte 0xc2 in position 688: ordinal not in range(128) root@vm1855:~#


#2

Same thing on Ubuntu 14.04

First ‘wget -qO ee rt.cx/ee && sudo bash ee’

Then ‘ee stack install’

Adding repository for MySQL Adding repository for Nginx Adding repository for PHP Traceback (most recent call last): File “/usr/lib/python3/dist-packages/apt/cache.py”, line 198, in getitem return self._weakref[key] File “/usr/lib/python3.4/weakref.py”, line 125, in getitem o = self.datakey KeyError: ‘nginx-custom’

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “/usr/local/bin/ee”, line 9, in load_entry_point(‘ee==3.0’, ‘console_scripts’, ‘ee’)() File “/usr/local/lib/python3.4/dist-packages/ee-3.0-py3.4.egg/ee/cli/main.py”, line 84, in main app.run() File “/usr/local/lib/python3.4/dist-packages/cement-2.4.0-py3.4.egg/cement/core/foundation.py”, line 694, in run self.controller._dispatch() File “/usr/local/lib/python3.4/dist-packages/cement-2.4.0-py3.4.egg/cement/core/controller.py”, line 455, in _dispatch return func() File “/usr/local/lib/python3.4/dist-packages/cement-2.4.0-py3.4.egg/cement/core/controller.py”, line 461, in _dispatch return func() File “/usr/local/lib/python3.4/dist-packages/ee-3.0-py3.4.egg/ee/cli/plugins/stack.py”, line 1257, in install EEAptGet.install(self, apt_packages) File “/usr/local/lib/python3.4/dist-packages/ee-3.0-py3.4.egg/ee/core/aptget.py”, line 86, in install if not install_package(self, package): File “/usr/local/lib/python3.4/dist-packages/ee-3.0-py3.4.egg/ee/core/aptget.py”, line 64, in install_package pkg = apt_cache[package_name.strip()] File “/usr/lib/python3/dist-packages/apt/cache.py”, line 205, in getitem raise KeyError(‘The cache has no package named %r’ % key) KeyError: “The cache has no package named ‘nginx-custom’”

What’s wrong? On which Linex versions is EE3.0 tested?


#3

@ddelaey, It is Unicode error, We are fixing that in next release. This https://github.com/rtCamp/easyengine/issues/409 issue will be helpful for you.


#4

Hi @ddelaey

We are glad to inform you that the Unicode error has been fixed in EasyEngine version 3.0.1 (https://github.com/rtCamp/easyengine/releases/tag/v3.0.1).

Please update EasyEngine to latest version.

I am closing this support topic for now. Feel free to create a new support topic if you have any queries further. :slight_smile:


#5